/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.beans.request;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

/**
 * This simple bean can be used to store a string. It can be used for a single request.
 * 
 * @author Nils Christian Ehmke
 */
@ManagedBean
@RequestScoped
public class StringBean {

	/**
	 * The string instance stored within this bean.
	 */
	private String string;

	/**
	 * Creates a new instance of this bean and initializes it with an empty string.
	 */
	public StringBean() {
		this.string = "";
	}

	/**
	 * Delivers the value of this bean.
	 * 
	 * @return The current string stored within this bean.
	 */
	public String getString() {
		return this.string;
	}

	/**
	 * Sets the value of this bean.
	 * 
	 * @param string
	 *            The new string to be stored within this bean.
	 */
	public void setString(final String string) {
		this.string = string;
	}

}
